## lasso 2.4.0

=== debian/changelog ===
lasso (2.4.0-2build1) trusty; urgency=medium

  * No change rebuild for phpapi-20121212+lfs (LFS ABI break on 32-bit
    arches).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 19 Feb 2014 08:20:44 +0000

lasso (2.4.0-2) unstable; urgency=medium

  * debian/php5-lasso.prerm: fix call to php5dismod. (closes: #734767)

 -- Frederic Peters <fpeters@debian.org>  Mon, 13 Jan 2014 11:00:16 +0100

lasso (2.4.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control, debian/rules: use autoreconf
  * debian/source/version: switch to 3.0 (quilt)

 -- Frederic Peters <fpeters@debian.org>  Tue, 07 Jan 2014 13:22:21 +0100

lasso (2.3.6-3) unstable; urgency=medium

  * Remove double-free in lasso_node_build_deflated_query. (thanks Andjelko
    Horvat, closes: #732543)
  * Enable hardened build flags. (thanks Moritz Muehlenhoff, closes: #667555)
  * debian/php5-lasso.{postinst,prerm}: use php5enmod and php5dismod.
    (closes: #667766)
  * bindings/php5/lasso.ini: change comment marker. (closes: #571736)

 -- Frederic Peters <fpeters@debian.org>  Sun, 29 Dec 2013 10:06:47 +0100

lasso (2.3.6-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply commit a5674b48 from upstream to port to the libxml buffer API.
    Also adopt changes for the Perl binding. libxml stopped to expose the
    internals of xmlOutputBuffer in 2.9. (Closes: #713668)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 30 Jul 2013 14:19:34 +0200

lasso (2.3.6-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616856).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 30 May 2013 20:36:16 +0200

lasso (2.3.6-2) unstable; urgency=low

  * Fix building against glib 2.32 (closes: #665565, #666636)

 -- Frederic Peters <fpeters@debian.org>  Mon, 02 Apr 2012 17:31:31 +0200

lasso (2.3.6-1) unstable; urgency=low

  * New upstream version.
  * bindings/php5/wrapper_source.py: use zend_function_entry, making it build
    against PHP 5.4 (upstream, closes: #662622)

 -- Frederic Peters <fpeters@debian.org>  Mon, 05 Mar 2012 14:07:05 +0100

lasso (2.3.5-4) unstable; urgency=low

  * Don't force gcc 4.4 anymore; /facepalm. (closes: #635640)

 -- Frederic Peters <fpeters@debian.org>  Thu, 28 Jul 2011 08:16:14 +0200

lasso (2.3.5-3) unstable; urgency=low

  * debian/control.in, debian/rules: disable liblasso-java on all
    architectures, at the moment it is too complicated to have reliable builds
    with java activated. (closes: #624777)
  * build against a newer perl version. (closes: #635446)

 -- Frederic Peters <fpeters@debian.org>  Tue, 26 Jul 2011 22:36:27 +0200

lasso (2.3.5-2) unstable; urgency=low

  * debian/liblasso-perl.install: fixed module name (uppercase L).
    (closes: #622114)
  * debian/liblasso3-dev.install: do not install libtool archive file.
    (closes: #620909, #621560)
  * debian/control.in: add build-dependency on gcc-4.4, to match the gcj
    version that is used.
  * debian/rules:
    + force gcc 4.4, because of gcj 4.4.
    + remove rpath from Lasso.so Perl module.
    + remove obsolete call to dh_python.

 -- Frederic Peters <fpeters@debian.org>  Mon, 11 Apr 2011 09:35:48 +0200

lasso (2.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Tue, 08 Feb 2011 09:58:03 +0100

lasso (2.2.1-4) unstable; urgency=low

  * debian/control, debian/rules: updated build-depends for recent gcj
    changes, and to use the default gcc version. (Closes: #566895)

 -- Frederic Peters <fpeters@debian.org>  Mon, 25 Jan 2010 22:34:55 +0100

lasso (2.2.1-3) unstable; urgency=low

  * debian/control, debian/rules: add missing dependency on phpapi-$foo.
    (Closes: #566288)

 -- Frederic Peters <fpeters@debian.org>  Sun, 24 Jan 2010 16:25:18 +0100

lasso (2.2.1-2) unstable; urgency=high

  * Correctly check for signature validity (CVE-2009-0050) (Closes: #511262)

 -- Frederic Peters <fpeters@debian.org>  Fri, 09 Jan 2009 10:30:58 +0100

lasso (2.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Tue, 22 Jul 2008 15:51:52 +0200

lasso (2.2.0-1) unstable; urgency=low

  * New upstream release.
    * Acknowledge NMU.
    * Fixed missing quotes in configure.in (Closes: #487816)
  * debian/control:
    * Updated package descriptions,
    * Used new Homepage field.
    * Moved liblasso-perl to perl section.
  * debian/rules:
    * remove config.log on clean.
    * remove empty id-wsf include directory.

 -- Frederic Peters <fpeters@debian.org>  Sun, 13 Jul 2008 12:06:12 +0200

lasso (2.1.98-4.1) unstable; urgency=high

  * NMU.
  * Don't build-depend on gcj and gcj-4.3 on alpha, arm, hppa (same as for
    java-gcj-compat). Closes: #477870.
  * Adjust list of architectures for liblasso-java. Closes: #479737.

 -- Matthias Klose <doko@debian.org>  Sun, 25 May 2008 11:28:09 +0200

lasso (2.1.98-4) unstable; urgency=low

  * debian/rules: create control from control.in, so liblasso-java is not
    built on architectures lacking gcj.

 -- Frederic Peters <fpeters@debian.org>  Sun, 04 May 2008 12:17:10 +0200

lasso (2.1.98-3) unstable; urgency=low

  * debian/liblasso-perl.install: really fix building with Perl 5.10.

 -- Frederic Peters <fpeters@debian.org>  Sat, 03 May 2008 12:30:41 +0200

lasso (2.1.98-2) unstable; urgency=low

  * debian/liblasso-perl.install: use wildcard for minor version number; so it
    still works with Perl 5.10.  (closes: #479065)

 -- Frederic Peters <fpeters@debian.org>  Fri, 02 May 2008 16:30:09 +0200

lasso (2.1.98-1) unstable; urgency=low

  * New upstream release (RC).
  * debian/control:
    * build new php5-lasso package.
    * limit liblasso-java to architecture with gcj (closes: #477870).
    * add Homepage field.
    * liblasso3-dev: Replace ${Source-Version} with ${binary:Version}
      (from Ubuntu patch)
  * debian/rules:
    * ignore liblasso-java package on architectures without gcj.
    * update to match new upstream language bindings layout.

