=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEB_TARGET_ARCH     := $(shell dpkg-architecture -qDEB_HOST_ARCH)

with_java := no
no_java_archs := alpha arm hppa hurd-i386
ifneq ($(DEB_TARGET_ARCH),i386)
 ifneq ($(DEB_TARGET_ARCH),amd64)
  ifeq ($(DEB_TARGET_ARCH), $(findstring $(DEB_TARGET_ARCH),$(no_java_archs)))
   with_java := disabled for architecture $(DEB_TARGET_ARCH)
  endif
 endif
endif

PYDEF		:= $(shell pyversions -vd)
PYVERS		:= $(shell pyversions -vr debian/control)
OTHERPYVERS	:= $(filter-out $(PYDEF), $(PYVERS))

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -Wall
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

version=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls src/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

CONFIGURE_ARGS := \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--enable-tests=no \
	--disable-gtk-doc \
	--enable-perl \
	--disable-csharp \
	--disable-php4 \
	--with-php5-config-dir=/etc/php5/mods-available/


ifeq ($(with_java),yes)
  CONFIGURE_ARGS += --enable-java
else
  CONFIGURE_ARGS += --disable-java
endif


config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	autoreconf -fi
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) $(CONFIGURE_ARGS)


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	set -e; \
	for v in $(OTHERPYVERS); do \
	  rm -rf bindings/python$$v; \
	  cp -a bindings/python bindings/python$$v; \
	  sed "s/$(PYDEF)/$$v/g" bindings/python/Makefile > bindings/python$$v/Makefile; \
	  $(MAKE) -C bindings/python$$v clean; \
	  $(MAKE) -C bindings/python$$v; \
	done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

ifeq ($(with_java),yes)
	sed -e 's/^#JAVA#//' < debian/control.in > debian/control
else
	sed -e 's/^#JAVA#.*//' < debian/control.in > debian/control
endif


	[ ! -f Makefile ] || $(MAKE) distclean

	for v in $(OTHERPYVERS); do \
	  rm -rf bindings/python$$v; \
	done

	rm -f config.log

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
		GACUTIL="/usr/bin/gacutil -root $(CURDIR)/debian/tmp/usr/lib"
	set -e; \
	for v in $(OTHERPYVERS); do \
	  $(MAKE) -C bindings/python$$v install DESTDIR=$(CURDIR)/debian/tmp; \
	done

	mkdir $(CURDIR)/debian/tmp/usr/lib/jni/
	if [ -e $(CURDIR)/debian/tmp/usr/lib/java ]; then \
	  mv $(CURDIR)/debian/tmp/usr/lib/java/*.so $(CURDIR)/debian/tmp/usr/lib/jni/ ; \
	fi

	# remove id-wsf directory if it is empty
	-rmdir $(CURDIR)/debian/tmp/usr/include/lasso/id-wsf/


# Build architecture-independent files here.
binary-indep: build install
	#dh_makeclilibs -L liblasso-cil -r

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples -XCVS
	dh_installman
	dh_install
	chrpath -d $(CURDIR)/debian/liblasso-perl/usr/lib/perl5/auto/Lasso/Lasso.so
	dh_link
	dh_strip
	dh_perl
	dh_python2 -ppython-lasso
	dh_compress
	dh_fixperms
	dh_makeshlibs -a -V
	dh_installdeb
	dh_shlibdeps -a
	echo "php:Depends=phpapi-`php-config5 --phpapi`" >> $(CURDIR)/debian/php5-lasso.substvars
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
