## lasso 2.4.1

=== debian/changelog ===
lasso (2.4.1-1build1) vivid; urgency=medium

  * No change rebuild against PHP 5.6 (phpapi-20131226).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 27 Jan 2015 15:54:55 +0000

lasso (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * d/p/perl-get-required-CFLAGS-from-perl-V-ccflags.patch: merged upstream
  * d/p/Use-INSTALLDIRS-vendor-for-the-Perl-bindings-as-per-.patch: refreshed

 -- Frederic Peters <fpeters@debian.org>  Thu, 28 Aug 2014 17:27:48 +0200

lasso (2.4.0-4) unstable; urgency=medium

  * d/p/Use-INSTALLDIRS-vendor-for-the-Perl-bindings-as-per-.patch: use
    INSTALLDIRS=vendor for the Perl bindings, as per the Debian Perl policy.
    (thanks Niko Tyni)
  * debian/rules, debian/liblasso-perl.install: don't hardcode /usr/lib/perl5
    (thanks Niko Tyni, again) (closes: #752703)

 -- Frederic Peters <fpeters@debian.org>  Wed, 25 Jun 2014 23:15:03 +0200

lasso (2.4.0-3) unstable; urgency=medium

  * d/p/perl-get-required-CFLAGS-from-perl-V-ccflags.patch (stolen from git):
    get required CFLAGS from $(perl -V::ccflags:) (closes: #742522)

 -- Frederic Peters <fpeters@debian.org>  Tue, 08 Apr 2014 09:29:11 +0200
