## lasso 2.5.0

=== debian/changelog ===
lasso (2.5.0-5+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS Security Team.
  * CVE-2025-46404: A denial of service vulnerability exists in the
    lasso_provider_verify_saml_signature functionality. A specially
    crafted SAML response can lead to a denial of service.
  * CVE-2025-46705: A denial of service vulnerability exists in the
    g_assert_not_reached functionality. A specially crafted SAML assertion
    response can lead to a denial of service.
  * CVE-2025-46784: A denial of service vulnerability exists in the
    lasso_node_init_from_messagee_with_format functionality. A specially
    crafted SAML response can lead to a memory depletion, resulting in
    denial of service.
  * CVE-2025-47151: A type confusion vulnerability exists in the
    lasso_node_impl_init_from_xml functionality. A specially crafted SAML
    response can lead to an arbitrary code execution. (RCE)
  * Fix a segfault which was also prerequisites of CVE-2025-46784.
  * Run full test suite on build.
  * Fix test suite failure due to expired certificates.
  * Fix test suite failure on i386 (ECP login).
  * Setup Salsa CI.
  * Setup git-buildpackage.
  * Import autopkgtest configuration from sid.

 -- Sylvain Beucler <beuc@debian.org>  Sat, 06 Dec 2025 20:16:59 +0100

lasso (2.5.0-5+deb9u1) stretch-security; urgency=medium

  * Fix signature checking on unsigned response with multiple assertions
    (Closes: CVE-2021-28091)

 -- Yadd <yadd@debian.org>  Fri, 04 Jun 2021 09:04:17 +0200

lasso (2.5.0-5) unstable; urgency=medium

  * d/: disable PHP support for now. (closes: #821547, #821683)

 -- Frederic Peters <fpeters@debian.org>  Thu, 05 May 2016 11:11:01 +0200

lasso (2.5.0-4) unstable; urgency=medium

  * d/control: add missing php5-common dependency. (closes: #811340)

 -- Frederic Peters <fpeters@debian.org>  Thu, 10 Mar 2016 22:38:24 +0100

lasso (2.5.0-3) unstable; urgency=medium

  * d/p/0001-perl-remove-quotes-from-PERL-V-ccflags-output.patch: new patch,
    make sure to remove quotes given by "perl -V::ccflags:" as they ultimately
    cause the 32bit builds to fail. (closes: #809759)
    * Thanks to Niko Tyni for the detailed diagnostic.
  * d/rules: enable verbose builds. (closes: #809760)

 -- Frederic Peters <fpeters@debian.org>  Mon, 11 Jan 2016 09:16:31 +0100

lasso (2.5.0-2) unstable; urgency=medium

  * Build against latest Perl release.

 -- Frederic Peters <fpeters@debian.org>  Sun, 03 Jan 2016 13:33:18 +0100

lasso (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control, d/rules: add new package for Python 3 bindings.

 -- Frederic Peters <fpeters@debian.org>  Fri, 04 Sep 2015 17:48:04 +0200
