=== debian/control ===
--- 
+++ 
@@ -2,8 +2,28 @@
 Priority: optional
 Section: libs
 Maintainer: Frederic Peters <fpeters@debian.org>
-Build-Depends: debhelper (>= 5.0.37.2), libxml2-dev, libxslt1-dev, libxmlsec1-dev, libxmlsec1-openssl, libglib2.0-dev, python-all-dev (>= 2.6.6-3~), libexpat1-dev, fastjar, php5-dev, python-lxml, chrpath
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 8),
+        dh-python,
+        libxml2-dev,
+        libxslt1-dev,
+        libxmlsec1-dev,
+        libxmlsec1-openssl,
+        libglib2.0-dev,
+        python-all-dev (>= 2.6.6-3~),
+        python3-all-dev (>= 3.2),
+        libexpat1-dev,
+        fastjar,
+        python-lxml,
+        python3-lxml,
+        python-six,
+        python3-six,
+        chrpath,
+        dh-python,
+        check,
+        liberror-perl
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 Homepage: http://lasso.entrouvert.org
 
 Package: liblasso3-dev
@@ -46,17 +66,29 @@
  This package contains Python bindings for liblasso, needed to use lasso
  in Python applications.
 
+Package: python3-lasso
+Section: python
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:depends}
+Description: Library for Liberty Alliance and SAML protocols - Python bindings
+ Lasso is an implementation of Liberty Alliance and related protocols, for
+ network identity federations, single sign-on and other web services protocols.
+ The main specifications implemented by the library are ID-FF, ID-WSF and SAML.
+ .
+ This package contains Python bindings for liblasso, needed to use lasso
+ in Python applications.
 
-
-
-
-
-
-
-
-
-
-
+#JAVA#Package: liblasso-java
+#JAVA#Section: libs
+#JAVA#Architecture: amd64 armel i386 ia64 mips mipsel powerpc ppc64 s390 sparc kfreebsd-i386 kfreebsd-amd64
+#JAVA#Depends: ${shlibs:Depends}, ${misc:depends}
+#JAVA#Description: Library for Liberty Alliance and SAML protocols - Java bindings
+#JAVA# Lasso is an implementation of Liberty Alliance and related protocols, for
+#JAVA# network identity federations, single sign-on and other web services protocols.
+#JAVA# The main specifications implemented by the library are ID-FF, ID-WSF and SAML.
+#JAVA# .
+#JAVA# This package provides the Java interface to liblasso, needed to use lasso in
+#JAVA# Java applications
 
 Package: liblasso-perl
 Section: perl
@@ -70,14 +102,14 @@
  This package contains Perl bindings for liblasso, needed to use lasso
  in Perl applications.
 
-Package: php5-lasso
-Section: web
-Architecture: any
-Depends: ${shlibs:Depends}, ${php:Depends}, ${misc:depends}
-Description: Library for Liberty Alliance and SAML protocols - PHP 5 bindings
- Lasso is an implementation of Liberty Alliance and related protocols, for
- network identity federations, single sign-on and other web services protocols.
- The main specifications implemented by the library are ID-FF, ID-WSF and SAML.
- .
- This package contains PHP bindings for liblasso, needed to use lasso
- in PHP applications.
+
+
+
+
+
+
+
+
+
+
+
