=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,11 @@
  endif
 endif
 
+with_php := no
+
 PYDEF		:= $(shell pyversions -vd)
 PYVERS		:= $(shell pyversions -vr debian/control)
+PY3VERS		:= $(shell py3versions -vr '>= 3.0')
 OTHERPYVERS	:= $(filter-out $(PYDEF), $(PYVERS))
 
 CFLAGS = `dpkg-buildflags --get CFLAGS`
@@ -48,12 +51,9 @@
 	--prefix=/usr \
 	--mandir=\$${prefix}/share/man \
 	--infodir=\$${prefix}/share/info \
-	--enable-tests=no \
+	--enable-tests=yes \
 	--disable-gtk-doc \
-	--enable-perl \
-	--disable-csharp \
-	--disable-php4 \
-	--with-php5-config-dir=/etc/php5/mods-available/
+	--enable-perl
 
 
 ifeq ($(with_java),yes)
@@ -61,6 +61,13 @@
 else
   CONFIGURE_ARGS += --disable-java
 endif
+
+ifeq ($(with_php),yes)
+  CONFIGURE_ARGS += --enable-php --with-php5-config-dir=/etc/php5/mods-available/
+else
+  CONFIGURE_ARGS += --disable-php
+endif
+
 
 
 config.status: configure
@@ -75,7 +82,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) V=1
 	set -e; \
 	for v in $(OTHERPYVERS); do \
 	  rm -rf bindings/python$$v; \
@@ -84,6 +91,17 @@
 	  $(MAKE) -C bindings/python$$v clean; \
 	  $(MAKE) -C bindings/python$$v; \
 	done
+	for v in $(PY3VERS); do \
+	  rm -rf bindings/python$$v; \
+	  cp -a bindings/python bindings/python$$v; \
+	  sed "s/$(PYDEF)/$$v/g" bindings/python/Makefile > bindings/python$$v/Makefile; \
+	  $(MAKE) -C bindings/python$$v clean; \
+	  $(MAKE) -C bindings/python$$v; \
+	done
+
+	# Test suite
+	$(MAKE) V=1 check || \
+		(find -name "test-suite.log" -print0 | xargs -r0 cat; exit 1)
 
 	touch build-stamp
 
@@ -98,10 +116,19 @@
 	sed -e 's/^#JAVA#.*//' < debian/control.in > debian/control
 endif
 
+ifeq ($(with_php),yes)
+	sed -e 's/^#PHP#//' < debian/control.in > debian/control
+else
+	sed -e 's/^#PHP#.*//' < debian/control.in > debian/control
+endif
+
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 
 	for v in $(OTHERPYVERS); do \
+	  rm -rf bindings/python$$v; \
+	done
+	for v in $(PY3VERS); do \
 	  rm -rf bindings/python$$v; \
 	done
 
@@ -123,11 +150,17 @@
 	for v in $(OTHERPYVERS); do \
 	  $(MAKE) -C bindings/python$$v install DESTDIR=$(CURDIR)/debian/tmp; \
 	done
-
+	for v in $(PY3VERS); do \
+	  $(MAKE) -C bindings/python$$v install DESTDIR=$(CURDIR)/debian/tmp; \
+	done
+
+
+ifeq ($(with_java),yes)
 	mkdir $(CURDIR)/debian/tmp/usr/lib/jni/
 	if [ -e $(CURDIR)/debian/tmp/usr/lib/java ]; then \
 	  mv $(CURDIR)/debian/tmp/usr/lib/java/*.so $(CURDIR)/debian/tmp/usr/lib/jni/ ; \
 	fi
+endif
 
 	sed -e 's,$${archlib},$(ARCHLIB),g' debian/liblasso-perl.install.in > debian/liblasso-perl.install
 
@@ -153,15 +186,18 @@
 	dh_strip
 	dh_perl
 	dh_python2 -ppython-lasso
+	dh_python3 -ppython3-lasso
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -a -V
 	dh_installdeb
 	dh_shlibdeps -a
+ifeq ($(with_php),yes)
 	echo "php:Depends=phpapi-`php-config5 --phpapi`" >> $(CURDIR)/debian/php5-lasso.substvars
+endif
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install 
+.PHONY: build clean binary-indep binary-arch binary install
