## lasso 2.5.1

=== debian/changelog ===
lasso (2.5.1-0ubuntu1) bionic; urgency=medium

  * New upstream stable point release.
  * d/p/0001-perl-remove-quotes-from-PERL-V-ccflags-output.patch: Dropped.
    Fixed in upstream stable point release.
  * d/liblasso3.symbols. Add symbols file for liblasso3 shared library.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Mar 2018 16:03:00 -0400

lasso (2.5.0-5ubuntu1) bionic; urgency=medium

  * d/control, d/rules: Enable test execution during build.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Feb 2018 16:20:28 -0500

lasso (2.5.0-5build5) bionic; urgency=medium

  * No-change rebuild against perlapi-5.26.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 Nov 2017 05:36:19 +0000

lasso (2.5.0-5build4) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:24:55 +0000

lasso (2.5.0-5build3) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 19:52:30 +0000

lasso (2.5.0-5build2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 May 2017 20:17:12 +1200

lasso (2.5.0-5build1) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Sun, 23 Oct 2016 12:09:05 +0100
