=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: lasso
 Priority: optional
 Section: libs
-Maintainer: Frederic Peters <fpeters@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Frederic Peters <fpeters@debian.org>
 Build-Depends: debhelper (>= 8),
         dh-python,
+        liberror-perl,
         libxml2-dev,
         libxslt1-dev,
         libxmlsec1-dev,
@@ -18,9 +20,7 @@
         python-six,
         python3-six,
         chrpath,
-        dh-python,
-        check,
-        liberror-perl
+        dh-python
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
