## lasso 2.6.0

=== debian/changelog ===
lasso (2.6.0-7ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/PAOS-Do-not-populate-Destination-attribute.patch: Do not populate
      "Destination" attribute (LP: #1833299)

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Feb 2020 09:54:35 -0500

lasso (2.6.0-7) unstable; urgency=medium

  * Move lasso.pc to a multiarch location. (patch by Helmut Grohne,
    thanks, closes: #949989)

 -- Frederic Peters <fpeters@debian.org>  Tue, 28 Jan 2020 08:53:34 +0100

lasso (2.6.0-6) unstable; urgency=medium

  * d/control: remove unnecessary python build-dependency (closes: #936817)
  * d/p/build-without-python2.diff: import upstream commits related to
    building with Python 3.

 -- Frederic Peters <fpeters@debian.org>  Sun, 19 Jan 2020 10:23:50 +0100

lasso (2.6.0-5) unstable; urgency=medium

  * d/rules: update build/install target to support coinstalling for multiple
    Python 3 versions (closes: #945123)

 -- Frederic Peters <fpeters@debian.org>  Wed, 20 Nov 2019 11:01:24 +0100

lasso (2.6.0-4) unstable; urgency=medium

  * d/compat: bump to debhelper level 10.
  * d/control: bump Standards-Version to 4.4, but no switch to "dh" yet.
  * d/control, d/rules: remove obsolete support for building Java and PHP
    bindings; this also removes the d/control.in mechanism.
  * d/control: add explicit python dependency, still required for lasso/*.py
    build tools. (will be fixed in next upstream tarball)
  * d/rules: remove PYDEF variable unused with the removal of python-lasso.
  * d/rules: clean Python 3 __pycache__ directories.

 -- Frederic Peters <fpeters@debian.org>  Thu, 05 Sep 2019 08:03:12 +0200

lasso (2.6.0-3) unstable; urgency=medium

  * d/*: remove python-lasso (closes: #936817)

 -- Frederic Peters <fpeters@debian.org>  Fri, 30 Aug 2019 10:39:11 +0200

lasso (2.6.0-2ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:41:16 +0000

lasso (2.6.0-2ubuntu1) eoan; urgency=high

  * d/p/PAOS-Do-not-populate-Destination-attribute.patch: Do not populate
    "Destination" attribute (LP: #1833299)

 -- Dmitrii Shcherbakov <dmitrii.shcherbakov@canonical.com>  Thu, 04 Jul 2019 18:42:56 -0500

lasso (2.6.0-2build1) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 12:12:24 +0000

lasso (2.6.0-2) unstable; urgency=medium

  * d/compat: bump do debhelper level 9.
  * d/control, d/rules: add and use dh-autoreconf.
  * d/watch: add watch file.
  * d/control: bump Standards-Version to 4.1.4 after those changes.
  * d/liblasso3.symbols: add symbols file for liblasso3, imported from Ubuntu,
    thanks to Corey Bryant <corey.bryant@canonical.com> (closes: #894296)
  * d/liblasso3.symbols: update for 2.6.0.
  * d/control: add Multi-Arch: same to liblasso-perl.
  * d/control: use proper capitalization for ${misc:Depends}.
  * d/control: bump versions in X-Python-Version and X-Python3-Version.

 -- Frederic Peters <fpeters@debian.org>  Fri, 15 Jun 2018 21:33:58 +0200

lasso (2.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Thu, 14 Jun 2018 09:10:09 +0200

lasso (2.5.99-1) unstable; urgency=medium

  * New upstream release candidate.
    - include support for SHA256 signatures (closes: #901411)
  * debian/patches/0001-perl-remove-quotes-from-PERL-V-ccflags-output.patch
    - dropped, released upstream
  * debian/patches/Use-INSTALLDIRS-vendor-for-the-Perl-bindings-as-per-.patch
    - dropped, released upstream

 -- Frederic Peters <fpeters@debian.org>  Wed, 13 Jun 2018 09:25:08 +0200
