=== debian/control ===
Source: lasso
Priority: optional
Section: libs
Maintainer: Frederic Peters <fpeters@debian.org>
Build-Depends: debhelper (>= 9),
        dh-python,
        dh-autoreconf,
        libxml2-dev,
        libxslt1-dev,
        libxmlsec1-dev,
        libxmlsec1-openssl,
        libglib2.0-dev,
        python3-all-dev (>= 3.2),
        libexpat1-dev,
        python3-lxml,
        python3-six,
        chrpath
Standards-Version: 4.4
X-Python3-Version: >= 3.4
Homepage: http://lasso.entrouvert.org

Package: liblasso3-dev
Section: libdevel
Architecture: any
Depends: liblasso3 (= ${binary:Version}), libxml2-dev, libxmlsec1-dev, libglib2.0-dev
Provides: liblasso-dev
Conflicts: liblasso-dev, liblasso0, liblasso1
Description: Library for Liberty Alliance and SAML protocols - development kit
 Lasso is an implementation of Liberty Alliance and related protocols, for
 network identity federations, single sign-on and other web services protocols.
 The main specifications implemented by the library are ID-FF, ID-WSF and SAML.
 .
 This package contains the development files for Lasso.
 
Package: liblasso3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for Liberty Alliance and SAML protocols - runtime library
 Lasso is an implementation of Liberty Alliance and related protocols, for
 network identity federations, single sign-on and other web services protocols.
 The main specifications implemented by the library are ID-FF, ID-WSF and SAML.
 .
 This package contains liblasso library used by applications to gain Library
 Alliance support.

Package: python3-lasso
Section: python
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Library for Liberty Alliance and SAML protocols - Python bindings
 Lasso is an implementation of Liberty Alliance and related protocols, for
 network identity federations, single sign-on and other web services protocols.
 The main specifications implemented by the library are ID-FF, ID-WSF and SAML.
 .
 This package contains Python bindings for liblasso, needed to use lasso
 in Python applications.

Package: liblasso-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: Library for Liberty Alliance and SAML protocols - Perl bindings
 Lasso is an implementation of Liberty Alliance and related protocols, for
 network identity federations, single sign-on and other web services protocols.
 The main specifications implemented by the library are ID-FF, ID-WSF and SAML.
 .
 This package contains Perl bindings for liblasso, needed to use lasso
 in Perl applications.
