## lasso 2.6.1

=== debian/changelog ===
lasso (2.6.1-3+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2025-46404: A denial of service vulnerability exists in the
    lasso_provider_verify_saml_signature functionality. A specially
    crafted SAML response can lead to a denial of service.
  * CVE-2025-46705: A denial of service vulnerability exists in the
    g_assert_not_reached functionality. A specially crafted SAML assertion
    response can lead to a denial of service.
  * CVE-2025-46784: A denial of service vulnerability exists in the
    lasso_node_init_from_messagee_with_format functionality. A specially
    crafted SAML response can lead to a memory depletion, resulting in
    denial of service.
  * CVE-2025-47151: A type confusion vulnerability exists in the
    lasso_node_impl_init_from_xml functionality. A specially crafted SAML
    response can lead to an arbitrary code execution. (RCE)
  * Run full test suite on build.
  * Setup Salsa CI.
  * Setup git-buildpackage.
  * Import autopkgtest configuration from sid.
  * Fix lasso_log@Base symbol version.
  * Fix Standards-Version 4.4 -> 4.4.0 to avoid a Lintian hard error.

 -- Sylvain Beucler <beuc@debian.org>  Sat, 06 Dec 2025 14:23:17 +0100

lasso (2.6.1-3) unstable; urgency=high

  * debian/patches/0001-Fix-signature-checking-on-unsigned-response-with-mul.patch,
    taken from upstream repository,
    * CVE-2021-28091: Signature checking on unsigned response with multiple
      assertions

 -- Frederic Peters <fpeters@debian.org>  Tue, 01 Jun 2021 14:43:55 +0200

lasso (2.6.1-2) unstable; urgency=medium

  * debian/control: add gtk-doc-tools to build-depends, required when running
    autoreconf against autoconf 2.70. (closes: 978846)

 -- Frederic Peters <fpeters@debian.org>  Thu, 31 Dec 2020 15:41:40 +0100

lasso (2.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/: remove, all patches are now upstream.

 -- Frederic Peters <fpeters@debian.org>  Thu, 23 Apr 2020 20:52:51 +0200

lasso (2.6.0-8) unstable; urgency=medium

  * d/p/fix-parsing-of-saml-authncontext.diff: import upstream commit
    to fix parsing of saml:AuthnContextDecl (closes: #955354)

 -- Frederic Peters <fpeters@debian.org>  Mon, 30 Mar 2020 15:55:54 +0200
