=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 9),
         dh-python,
         dh-autoreconf,
+        gtk-doc-tools,
         libxml2-dev,
         libxslt1-dev,
         libxmlsec1-dev,
@@ -14,8 +15,10 @@
         libexpat1-dev,
         python3-lxml,
         python3-six,
-        chrpath
-Standards-Version: 4.4
+        chrpath,
+        check,
+        liberror-perl
+Standards-Version: 4.4.0
 X-Python3-Version: >= 3.4
 Homepage: http://lasso.entrouvert.org
