=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	--prefix=/usr \
 	--mandir=\$${prefix}/share/man \
 	--infodir=\$${prefix}/share/info \
-	--enable-tests=no \
+	--enable-tests=yes \
 	--disable-gtk-doc \
 	--disable-java \
 	--disable-php \
@@ -65,6 +65,10 @@
 	  $(MAKE) PYTHON=/usr/bin/python$$v -C bindings/python$$v clean; \
 	  $(MAKE) PYTHON=/usr/bin/python$$v -C bindings/python$$v; \
 	done
+
+	# Test suite
+	$(MAKE) V=1 check || \
+		(find -name "test-suite.log" -print0 | xargs -r0 cat; exit 1)
 
 	touch build-stamp
