=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lasso
 Priority: optional
 Section: libs
-Maintainer: Frederic Peters <fpeters@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Frederic Peters <fpeters@debian.org>
 Build-Depends: debhelper (>= 9),
         dh-python,
         dh-autoreconf,
@@ -15,10 +16,8 @@
         libexpat1-dev,
         python3-lxml,
         python3-six,
-        chrpath,
-        check,
-        liberror-perl
-Standards-Version: 4.4.0
+        chrpath
+Standards-Version: 4.4
 X-Python3-Version: >= 3.4
 Homepage: http://lasso.entrouvert.org
